﻿using System.Windows;
using PersonRepository.Interface;

namespace PersonApp.DynamicRepository.UI
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void FetchButton_Click(object sender, RoutedEventArgs e)
        {
            //IPersonRepository repository = RepositoryFactory.GetRepository();
            IPersonRepository repository = Container.Resolve<IPersonRepository>();

            PersonListBox.Items.Clear();
            var people = repository.GetPeople();
            foreach (var person in people)
                PersonListBox.Items.Add(person);

            MessageBox.Show(string.Format("Repository Type:\n{0}", repository.GetType().ToString()));
        }

        private void ClearButton_Click(object sender, RoutedEventArgs e)
        {
            PersonListBox.Items.Clear();
        }
    }
}
