﻿using System;
using System.Configuration;
using PersonRepository.Interface;

namespace PersonApp.DynamicRepository.UI
{
    public static class RepositoryFactory
    {
        public static IPersonRepository GetRepository()
        {
            string typeName = 
                ConfigurationManager.AppSettings["RepositoryType"];
            Type t = Type.GetType(typeName);
            object obj = Activator.CreateInstance(t);
            IPersonRepository rep = obj as IPersonRepository;
            return rep;
        }
    }

    public static class Container
    {
        public static T Resolve<T>() where T : class
        {
            string configString = ConfigurationManager.AppSettings[typeof(T).ToString()];
            Type resolvedType = Type.GetType(configString);
            return Activator.CreateInstance(resolvedType) as T;
        }
    }
}
