﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PersonRepository.Interface;
using PersonRepository.Service;
using PersonRepository.CSV;
using PersonRepository.SQL;

namespace PersonApp.UI
{
    public static class RepositoryFactory
    {
        public static IPersonRepository GetRepository(string repositoryType)
        {
            IPersonRepository rep;

            switch (repositoryType)
            {
                case "Service": rep = new ServiceRepository();
                    break;
                case "CSV": rep = new CSVRepository();
                    break;
                case "SQL": rep = new SQLRepository();
                    break;
                default:
                    throw new ArgumentException("Invalid Repository Type");
            }
            return rep;
        }
    }
}
