﻿using System;
using System.Collections.Generic;
using System.Linq;
using PersonRepository.Interface;

namespace PersonRepository.SQL
{
    public class SQLRepository : IPersonRepository
    {
        public IEnumerable<Person> GetPeople()
        {
            var people = new List<Person>();
            using (var ctx = new PeopleDataContext())
            {
                var pers = from p in ctx.PeopleTables
                           select p;

                foreach (var per in pers)
                    people.Add(new Person() 
                      { FirstName = per.FirstName, 
                        LastName = per.LastName, 
                        StartDate = per.StartDate, 
                        Rating = per.Rating });
            }
            return people;
        }

        public Person GetPerson(string lastName)
        {
            Person selPerson = new Person();
            using (var ctx = new PeopleDataContext())
            {
                var per = (from p in ctx.PeopleTables
                           where p.LastName.ToLower() == lastName.ToLower()
                           select p).FirstOrDefault();
                if (per != null)
                {
                    selPerson.FirstName = per.FirstName;
                    selPerson.LastName = per.LastName;
                    selPerson.StartDate = per.StartDate;
                    selPerson.Rating = per.Rating;
                }
            }
            return selPerson;
        }

        public void AddPerson(Person newPerson)
        {
            throw new NotImplementedException();
        }

        public void UpdatePerson(string lastName, Person updatedPerson)
        {
            throw new NotImplementedException();
        }

        public void DeletePerson(string lastName)
        {
            throw new NotImplementedException();
        }

        public void UpdatePeople(IEnumerable<Person> updatedPeople)
        {
            throw new NotImplementedException();
        }
    }
}
