﻿
/* Inversion of Control sample that looks a bit more
 * like a real container. This will work with any
 * type and expects to find an AppSettings entry with
 * the key for the fully-qualified type/interface

public static class Container
{
    public static T Resolve<T>() where T : class
    {
        string configString = ConfigurationManager.AppSettings[typeof(T).ToString()];
        Type resolvedType = Type.GetType(configString);
        return Activator.CreateInstance(resolvedType) as T;
    }
}

 * This part needs to go in the app.config file.
 * These have the entries for each of the available
 * repositories: CSV, Web Service, and SQL (respectively).

    <add key="PersonRepository.Interface.IPersonRepository" value="PersonRepository.CSV.CSVRepository, PersonRepository.CSV, Version=1.0.0.0, Culture=neutral"/>
    <add key="PersonRepository.Interface.IPersonRepository" value="PersonRepository.Service.ServiceRepository, PersonRepository.Service, Version=1.0.0.0, Culture=neutral"/>
    <add key="PersonRepository.Interface.IPersonRepository" value="PersonRepository.SQL.SQLRepository, PersonRepository.SQL, Version=1.0.0.0, Culture=neutral"/>

 
 */
